Subject: Re: bug#77924: 31.0.50; [Feature branch] Change marker implementation

From: Visuwesh <[email-masked]>
Date: Thu, 24 Apr 2025 17:14:03 +0530

[வியாழன் ஏப்ரல் 24, 2025] Gerd Möllmann wrote:

> Visuwesh <[email-masked]> writes:
>
>> [வியாழன் ஏப்ரல் 24, 2025] Gerd Möllmann wrote:
>>
>>>>> Seems to have something to do with prog-mode, so maybe this depends on
>>>>> the test file being a C file, which might be interesting for Visuwesh.
>>>>
>>>> I commented out (elb-smie-mode) form in the above snippet and that
>>>> showed a backtrace which I could not explain.  Replacing the form with
>>>> (text-mode) didn't help either.  So I'm running the benchmark with that
>>>> form intact, even though the file I'm scrolling through is a text file.
>>>> I am running the benchmark currently, and will report the results once
>>>> they are done.
>>>>
>>>> Debugger entered--Lisp error: (overflow-error)
>>> [...]
>>>
>>> Something went wrong when computing the "err" values, apparently. Maybe
>>> it'll work if you increase the number of runs the NaN goes away?
>>
>> Oddly enough, it throws an error as soon as I start the benchmark.  I
>> don't think even a single iteration in the loop of elb-scroll-entry is
>> complete, let alone a complete run.
>
> Hm, I can't really get that to run really well either, but while trying
> I found that
>
>  - it must be run with GUI emacs -Q because it tries to enlarge-window
>    which it can't on a terminal, and it assumes certain sizes
>    ("stipulated sizes not whatever" error)

That's a shame.  AFAIU, the non-ASCII benchmark would be relevant
outside composition as well.

>  - the resources directory containing xmenu.c or whatever must be a
>    sibling to the benchmarks directory
>
>  - The pattern matching the test case doesn't seem to always work. I use
>    ".*scroll.*" but the report at the end shows also "setq" and
>    "font-lock"???

I am using "elb-scroll" as the pattern and it only picks up scroll.
(Though the time it takes to run 10 repeats (so 100 loops) is ~30 mins
here.)